Your Browsing History
- In Stock
- Sold by Newegg
Any questions? Our AI mode will help you find out quickly.
Try me now

Quick View
Electric Beard Trimmer for Men,Nose Hair Trimmer & Men's Electric Razor 10-in-1 Grooming Kit Cordless Shaver Gift-Ready for Men(Black)
- Brand: OLOV LITE
- Series: RFC-3002
- Part Number: RFC-3002
- Type: RFC-3002
- Model #: 669664600010
- $37.99 –
- Free Shipping

Quick View
Electric Shaver Rotary Razor Men Cordless Beard Trimmer Pop-Trimmer Waterproof
- Brand: Hatteker
- Series: RSCX-7568
- Part Number: 7568DXIN
- Type: Rotary
- Model #: 954790640125
- $37.99 –
- Free Shipping

Quick View
Gifts for Men, Beard Trimmer with Charging Stand, IPX7 Waterproof Electric Razor Shavers for Men, Clippers for Hair Cutting, Mens Grooming Kit for Mustache Nose Facial Body
- Brand: Ufree
- Series: U-2216
- Part Number: U-2216
- Type: U-2216
- Model #: 128657741943
- $62.99 –
- Free Shipping

Quick View
Men's 2-in-1 Rechargeable Foil Shaver & Hair Clipper, Beard & Sideburn Grooming Trimmer, 3 Floating Blades Electric Razor, 7200RPM High-Speed Motor, IPX7 Waterproof, Travel-Friendly
- Brand: Tekzoior
- Part Number: X1mini
- Type: Independent Floating
- Features: Rechargeable
- Model #: 672920856290
- $49.99 –
- Free Shipping

Quick View
Manscape Body Hair Trimmer - Waterproof Pubic Hair Ball Trimmer, Ceramic Blade Shavers Electric Razors for Men with USB-C Charging, Wet/Dry Use, Nick-Free Mens Grooming Kits, Gifts for Men
- Brand: PRITECH
- Series: Waterproof Pubic Hair Trimmer
- Part Number: TGEU-PR-3233-Parent
- Features: Ceramic, Battery Powered, true
- Model #: 532614896305
- $39.99 –
- Free Shipping

Quick View
Electric Shaver Rotary Razor Men Cordless Beard Trimmer Pop-Trimmer Waterproof
- Brand: Hatteker
- Series: RSCX-7568
- Part Number: 7568DXIN
- Type: Rotary
- Model #: 422697492832
- $37.99 –
- Free Shipping

Quick View
Electric Shaver Rotary Razor Men Cordless Beard Trimmer Pop-Trimmer Waterproof
- Brand: Hatteker
- Series: RSCX-7568
- Part Number: 7568DXIN
- Type: Rotary
- Model #: 973189598218
- $37.99 –
- Free Shipping

Quick View
Electric Beard Trimmer for Men,Nose Hair Trimmer & Men's Electric Razor 10-in-1 Grooming Kit Cordless Shaver Gift-Ready for Men(Black)
- Brand: OLOV LITE
- Series: RFC-3002
- Part Number: RFC-3002
- Type: RFC-3002
- Model #: 787342572053
- $37.99 –
- Free Shipping

Quick View
Hair Clippers for Men, Cordless Beard Trimmer, Grooming Kit, Gray | T-Blade, 6500RPM, 1-22mm Adjustable Comb, Type-C, 180min Runtime, for Beard, Stubble, Nose and Crisp Edges, Men Gift
- Brand: Ufree
- Part Number: AMU-2226-Q321
- Features: Battery Powered
- Number of Heads: 1
- Model #: 353825481814
- $79.99 –
- Free Shipping

Quick View
Hair Clippers for Men, Cordless Beard Trimmer, Grooming Kit, Bronze | T-Blade, 6500RPM, 1-22mm Adjustable Comb, Type-C, 180min Runtime, for Beard, Stubble, Nose and Crisp Edges, Men Gift
- Brand: Ufree
- Series: Ufree 3 in 1 Mens Beard Trimmer
- Part Number: U-2226
- Type: Ufree 3 in 1 Mens Beard Trimmer
- Model #: 996311206048
- $79.99 –
- Free Shipping

Quick View
Electric Razor for Men - 4 in 1 Rotary Men Shaver Beard Trimmer | Waterproof USB Electric Shaver Fast Charging - Cordless Beard, Nose, Hair Trimmer, Men Electric Razor Gift for Dad, Boyfriend
- Brand: YONGYAO
- Series: Electric Razor for Men, 4 in 1 Rotary Men Shaver Beard Trimmer
- Part Number: YY100006-US1A
- Type: Rotary
- Model #: 340343980930
- $76.99 –
- Free Shipping

Quick View
Men Ball Shaver, 3-in-1 Titanium Blade Pubic Trimmer IPX7 Wet Dry Electric Razor
- Brand: Zivelier
- Series: 2018MEN
- Part Number: 2018MEN
- Type: 2018MEN
- Model #: 894353042651
- $39.99 –
- Free Shipping

Quick View
7D Floating Head Shaver for Bald Men, Rotary Wet/Dry Electric Razor | Magnetic Detachable Blades for Easy Cleaning, Smooth Close Shave, Waterproof, USB-C Charging, LED Display, Beard Shavers
- Brand: Yinicare
- Part Number: YLF-207
- Type: Rotary
- Power Source: Battery Powered
- Model #: 579071129410
- $37.99 –
- Free Shipping

Quick View
Men Ball Shaver, 3-in-1 Titanium Blade Pubic Trimmer IPX7 Wet Dry Electric Razor
- Brand: Zivelier
- Series: 2018MEN
- Part Number: 2018MEN
- Type: 2018MEN
- Model #: 376182117552
- $39.99 –
- Free Shipping

Quick View
Clippers and Trimmers Set, Cordless Hair Clippers for Men, Barber Clippers Set
- Brand: Jack & Rose
- Part Number: RFC-676+RFC-667
- Features: Dry Shaving, Battery Powered
- Number of Heads: Rechargeable, Hair Clipper
- Model #: 873532935242
- $63.99 –
- Free Shipping

Quick View
Mens Body Hair Beard Trimmer Groin Trimmer Mens Grooming Kit Electric Razor Body Shaver Groomer Waterproof 6 in 1
- Brand: Hatteker
- Series: RFC-588
- Part Number: RFC-588
- Type: Body Trimmer
- Model #: 000411519867
- $45.99 –
- Free Shipping

Quick View
Manscape Body Hair Trimmer for Men, Waterproof Groin Trimmer, Electric Razor Ball Shaver for Chest Pubic Leg Arm Underarm Back Nose, Rechargeable Wet/Dry Groomer, Black
- Brand: REYOLL
- Series: TC-015A
- Part Number: TC-015A
- Type: Foil
- Model #: 164701133693
- $45.99 –
- Free Shipping

Quick View
6-in-1 Beard Trimmer for Men, Electric Shaver Razor, Hair Trimmer | Professional IPX6 Waterproof Hair Trimmer, 4.5H Working Time, Type-C, LED Display, Men Grooming Kit for Mustache, Nose, Body
- Brand: Ufree
- Part Number: UF2256
- Features: Battery Powered
- Number of Heads: USB Charging, Storage bag, Lubricating oil, Charging cable, Cleaning brush
- Model #: 485467306692
- $72.99 –
- Free Shipping

Quick View
Electric Razors for Women, IPX7 Unibody Bikini Trimmer for Women (USB-C, Trimmer Comb, Multi Shaving Modes), Portable Size, Porcelain White
- Brand: yoose
- Series: Nano Porcelain White
- Part Number: Nano Porcelain White
- Type: Foil
- Model #: 981456672825
- $72.99 –
- Free Shipping

Quick View
Electric Razors for Women, 5-in-1 Rechargeable Body Shaver - Waterproof Wet Dry Hair Remover - Trimmer for Lady Face Underarms Bikini,Lips,arms, Legs
- Brand: WEQOEE
- Series: FK-8608
- Part Number: 001
- Type: Pivoting
- Model #: 599577089042
- $64.99 –
- Free Shipping

Quick View
Mens Beard Trimmer Grooming kit Hair Trimmer Mustache Trimmer Body Groomer for Nose Ear Facial Hair Cordless Waterproof 5 in 1
- Brand: Hatteker
- Series: RFC-598
- Part Number: 598005DJ
- Type: RFC-598
- Model #: 058559700955
- $55.99 –
- Free Shipping

Quick View
6-in-1 Hair Clipper Beard Trimmer for Men, IPX6 Waterproof Electric Shaver | Razor&Cordless Hair Clipper Grooming Kit Hair Trimmer for Nose, Body, Face and Mustache, Gifts for Men
- Brand: Gzbdz
- Part Number: PV01
- Features: Stainless Steel, Battery Powered, false
- Number of Heads: 1
- Model #: 201408624784
- $64.99 –
- Free Shipping

Quick View
Nose Hair Trimmer for Men with 3 Patented Magnetic Heads | Paintess Nose & Ear Hair Trimmer, Micro-Vacuum & Magnetic Head,USB-C Rechargeable ,Waterproof Design, Painless Grooming Kit,
- Brand: Audoc
- Part Number: NOSE-01
- Features: IPX6 Waterproof, Beard Trimming, Battery Powered
- Number of Heads: nose trimmer
- Model #: 391413624593
- $72.99 –
- Free Shipping

Quick View
Upgraded Head Shaver for Bald MenMagnetic Electric Razor Hair Trimmer for MenLarge Battery Capacity, Rechargeable LED Display Waterproof Wet/Dry Head Shavers with Type-C Charge
- Brand: Solimpia
- Series: FK-8750
- Part Number: FK-8750
- Type: Rotary
- Model #: 183827875615
- $39.99 –
- Free Shipping

Quick View
7D Electric Head Shaver for Bald Men, Electric Razor for Men | Magnetic Detachable Floating Heads with Dual Speed, IPX6 Waterproof Wet Dry Shaver, Bald Head Shavers with LED Display
- Brand: kensen
- Series: 7D
- Part Number: 06-KGTJ51-0QG
- Type: Floating
- Model #: 574396488458
- $72.99 –
- Free Shipping

Quick View
7D Electric Head Shaver for Bald Men, Electric Razor for Men | Magnetic Detachable Floating Heads with Dual Speed, IPX6 Waterproof Wet Dry Shaver, Bald Head Shavers with LED Display
- Brand: kensen
- Series: 7D
- Part Number: 06-KGTJ51-0QG
- Type: Floating
- Model #: 369817280421
- $61.99 –
- Free Shipping

Quick View
Electric Razor for Men,Innovative Mirror Design,Electric Shaver 20000 RPM Motor,Gentle & Smooth,Non-irritating to Skin,3 Floating Blade Heads,IPX7 Waterproof,Foil Shaver for Travel & Home Use
- Brand: Dtball
- Part Number: ZYTX01
- Type: Foil
- Power Source: Battery Powered
- Model #: 168738934205
- $39.99 –
- Free Shipping

Quick View
Electric Razors for Women, 5 in 1 Lady Shavers, Electric Shaver for Women, Wet/Dry Bikini Trimmer, Rechargeable Facial Hair Removal, Painless Shaver Razor for Arms Legs Armpit Pubic Area
- Brand: Psmicor
- Series: Psmicor
- Part Number: Psmicor
- Type: Rotary
- Model #: 754355333311
- $59.99 –
- Free Shipping

Quick View
Manscape Body Hair Trimmer - Waterproof Pubic Hair Ball Trimmer, Ceramic Blade Shavers Electric Razors for Men with USB-C Charging, Wet/Dry Use, Nick-Free Mens Grooming Kits, Gifts for Men
- Brand: PRITECH
- Series: Waterproof Pubic Hair Trimmer
- Part Number: TGEU-PR-3233-Parent
- Features: Ceramic, Battery Powered, true
- Model #: 673703206436
- $46.99 –
- Free Shipping

Quick View
Electric Foil Shavers for Men: IPX7 Waterproof - Magnetic Cover | Mini Razor for Travel - Face Shaver with LED Display & USB-C Fast Charge - Micro-Comb Technology & Precision Blades
- Brand: Mbzoey
- Series: Mbzoey-2
- Part Number: WFS002
- Type: Foil
- Model #: 945742057297
- $91.99 –
- Free Shipping

Quick View
Beard Trimmer for Men, 6-in-1 Men's Grooming Kit,IPX7 Waterproof Wet/Dry, 2-Speed electric razor for men, Easy-Swap Magnetic Heads, LED Display, 20-Length Dial, 4.5-hour battery life,USB-C,Argent
- Brand: Prettywill
- Part Number: MS-2330
- Features: Dry Shaving, Battery Powered
- Number of Heads: Travel Lock
- Model #: 487274160424
- $57.99 –
- Free Shipping




